#!/usr/bin/env python

# $Id: cgi_init.py 82 2011-02-18 07:44:15Z kkumer $ 

"""
Initialization that should be executed by every CGI script.
Note that calling CGI script should set PWD_PROTECTED variable
to 1 if it needs password-protected data (or to 0 otherwise).
In that case, encrypted password must be sent via URL.

Also. You have to set absolute path to config.py below!
"""



import sys, cgi, mx.DateTime, __builtin__
from HTMLgen import *

reload(sys)
sys.setdefaultencoding("utf8")

execfile('absolute path to config.py')  # Load variables
__builtin__.cfg = cfg  # Ugly hack to make cfg global



# The following redefines sys.exchook so has to come after
# reloading sys
import cgitb; cgitb.enable(display=cfg['DEBUG'], logdir=cfg['LOGDIR']);

# For development, we load coonf from here:
#sys.path.insert(0, '/home/kkumer/comp/projects/coonf')

from coonf import *

# Connect to database
People = dbconnect()

# Returning headers to browser
print 'Content-type: text/html;  charset=utf-8'
print

# Common content of every CGI script:
ctype = Meta(equiv="Content-Type",
           content="text/html; charset=utf-8")

head, foot = extractHF()

# Take input from HTML form and write it to a dictionary named 'form':
# (If there is no HTML form input, dictionary is empty?)
form = cgi.FieldStorage()

# Time
today = {'UPDATE' : mx.DateTime.ISO.str(mx.DateTime.now())}

# Checking password
if PWD_PROTECTED:
    uid = checkpwd(form)
    pwd = makepwd(uid) # For forwarding to other scripts
    cursor = getCursor()
    qry = "SELECT name, surname FROM people WHERE id=%s" % str(uid)
    cursor.execute(qry)
    uname, usurname = cursor.fetchall()[0]
