#!/usr/bin/env python

# $Id: home.py 82 2011-02-18 07:44:15Z kkumer $ 
"""Homepage for participants ...

kkumer@phy.hr 2003-03-26 
"""

PWD_PROTECTED = 1
execfile('cgi_init.py')  # CGI initialization


## Generating HTML headers
ttl = "Private conference page - %s %s" % (uname, usurname)
ctype = Meta(equiv="Content-Type",
           content="text/html; charset=utf-8")

css = cfg['HTML_LINK']+"coonf.css"

doc = SimpleDocument(title=ttl, stylesheet=css)

# head
head, foot = web.extractHF()
doc.append(head)


# content
doc.append(Heading(1,ttl))

doc.append("Dear <I>%s %s</I><BR><P>" % (uname, usurname))
doc.append("""This is your personal conference page <P>
   <b>All operations</b> (abstract entry, corrections,
   check of the final PDF of your abstract set for print, upload
   of your presentation or contribution to conference proceedings) 
    <b>should be performed from this page</b>.<P>
   Thus you will always have up-to-date view of your data. 
   Have in mind that
   usage of [BACK] button of your WWW browser can result in
   serving old/obsolete data, and usage of [RELOAD] button can have
   unexpected results just as well.""")


doc.append(Heading(2, "Entry and correction of abstract:"))
abs = Form(cgi=cfg['CGI_LINK']+"abstracts/abs.py",
         submit=Input(type="submit", value="Enter (or modify) abstract"))
abs.append(Input(type="hidden", name="pwd", value=pwd))

doc.append(abs)

doc.append(Heading(2, "Checking abstract set for print:"))
doc.append("""Here you can see PDF of your abstract <I>after</I> you
entered it and after you got the message that abstract is successfully set
for print""")
getpdf = Form(cgi=cfg['CGI_LINK']+"abstracts/pdfview.py",
         submit=Input(type="submit", value="Check your abstract set for print"))
getpdf.append(Input(type="hidden", name="pwd", value=pwd))
doc.append(getpdf)

doc.append(BR())
small = Font(size="-1")
doc.append(small("""For this check of the PDF file your WWW browser 
    should be configured for automatic opening of Adobe PDF files
    in Adobe Acrobat Reader (Unix, MS Windows) or xpdf (Unix) or
    some other PDF viewer."""))

doc.append(Heading(2, "Upload of electronic presentations:"))
doc.append("""File with your electronic presentation (PDF,
PPT, ...) can be uploaded here:""")

upload = Form(cgi=cfg['CGI_LINK']+"uploads/upload.py",
                submit=Input(type="submit", value="Send"),
                enctype="multipart/form-data")
upload.append(Input(type="hidden", name="pwd", value=pwd))
upload.append(Input(type="file", name="uploadedfile", size="40"))
doc.append(upload)

# write it out
doc.append(foot % today)
doc.write()

