#!/usr/bin/env python

# $Id: create_table_people.py 85 2012-02-27 13:26:08Z kkumer $ 

"""This script takes input from configuration file and
creates table 'people' in database.
"""


import sys,re,string, __builtin__

try:
    execfile(sys.argv[1])
    __builtin__.cfg = cfg  # Ugly hack to make cfg global
except:
    sys.stderr.write('\n Usage: create_table_people <configuration_file>\n')
    sys.exit(1)

from coonf import *

# Parse configuration file and transfer it into the
# list of 5-tuples (name, Htype, SQLtype, oblig, default, descr)
fields=[]
file = open(cfg['REGISTER_CONF_FILE'], "r")
line = file.readline()
while line:
    # only lines with 'FIELD' are parsed
    if re.match(r'FIELD', line):
        if cfg['DEBUG']: sys.stderr.write(line+'\n')
        fields.append(tuple(string.split(line)[1:]))
    line = file.readline()

cursor = getCursor()

# Delete old table
# cursor.execute('DROP TABLE people')
# Begin of the SQL query
qry = """CREATE TABLE people (
         id int unsigned NOT NULL PRIMARY KEY AUTO_INCREMENT,
         appdate datetime NOT NULL"""

# Creating rows
for row in fields:
    qry = qry + ", " + row[0] + " " + row[2]
    if string.lower(row[3]) == "y":
        qry = qry + " NOT NULL"
    
# End of the SQL query
qry = qry + ", KEY id (id));"

## print "SQLcommand = ", qry

cursor.execute(qry)
sys.stderr.write('Table created.\n')

releaseCursor(cursor)

